org.keycloak.protocol.saml

## Enum SamlPrincipalType

- java.lang.Object
- - java.lang.Enum<SamlPrincipalType>
  - - org.keycloak.protocol.saml.SamlPrincipalType

- All Implemented Interfaces:
    Serializable, Comparable<SamlPrincipalType>

      public enum SamlPrincipalType
      extends Enum<SamlPrincipalType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ATTRIBUTE`
    `FRIENDLY_ATTRIBUTE`
    `SUBJECT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SamlPrincipalType` | `from(String name, SamlPrincipalType defaultValue)`
    `static SamlPrincipalType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SamlPrincipalType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUBJECT

          public static final SamlPrincipalType SUBJECT

    - #### ATTRIBUTE

          public static final SamlPrincipalType ATTRIBUTE

    - #### FRIENDLY_ATTRIBUTE

          public static final SamlPrincipalType FRIENDLY_ATTRIBUTE

  - ### Method Detail

    - #### values

          public static SamlPrincipalType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SamlPrincipalType c : SamlPrincipalType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SamlPrincipalType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### from

          public static SamlPrincipalType from(String name,
                                               SamlPrincipalType defaultValue)

Copyright © 2021 JBoss by Red Hat. All rights reserved.